<?php
/**
 * @package LZ Restaurant Premium
 */
if(get_theme_mod('lz_fitness_premium_featured_product_section_disable') != 'on' ){
	?>
	<section id="featured-product-section" class="ht-section">
			<div class="container">
				<div class="wow fadeInUp" data-wow-duration="1s">
					<?php
					$showStatic = true;
					for( $i = 1; $i < 4; $i++ ){
						$lz_fitness_featured_product_page_id = get_theme_mod('lz_fitness_featured_product_page'.$i); 
						if(!empty($lz_fitness_featured_product_page_id)){
							$showStatic = false;
							break;
						}
					}
				   $lz_fitness_featured_product_sub_title = get_theme_mod('lz_fitness_featured_product_sub_title', 'There are many variations passes Lorem Ipsum available but the majority have suffered alteation some form.');
					$lz_fitness_featured_product_title = get_theme_mod('lz_fitness_featured_product_title', 'OUR PRODUCTS');	
				//extra//
					// $countword=str_word_count($lz_fitness_featured_product_title);
			// echo ' hLF '.
					// $halfWd = floor($countword / 2);
					// $wds = explode(' ',$lz_fitness_featured_product_title);
					// $lz_fitness_featured_product_title_new = '';
					// foreach($wds as $k=>$wd){
					// 	if($k == $halfWd){
					// 		$lz_fitness_featured_product_title_new .= '<span>';
					// 	}
					// 	$lz_fitness_featured_product_title_new .= $wd.' ';
					// 	if(($k+1) == $countword){
					// 		$lz_fitness_featured_product_title_new .= '</span>';
					// 	}
					// }
			// extra//			
					?>

						<div class="ht-section-title-tagline">
							<h2 class="ht-section-title lz-featured-product-heading">
								<?php
								if(!empty($lz_fitness_featured_product_title))	{
									echo ($lz_fitness_featured_product_title);
								} ?> 
							</h2>
							<div class="clearfix"></div>
							<div class="col-md-6 col-md-offset-3 lz-featured-product-subheadingt">
								<?php
								if(!empty($lz_fitness_featured_product_sub_title))	{
									echo ($lz_fitness_featured_product_sub_title);
								} ?>
							</div>
							<div class="clearfix"></div>
						</div>
						<div class="clearfix"></div>					
						<!-- Wrapper for slides -->

						<div class="slider" id="slider">												
							    <button class="slide-prev ctrl-btn pro-prev fa fa-chevron-left"></button>
								<button class="ctrl-btn pro-next fa fa-chevron-right slide-next"></button>
															
							<div class="slides" id="slide">
					    <!-- <div class="row-fluid">
					    	<div class="recent-box">-->
					    		<?php
					    		if(function_exists('woocommerce_template_loop_add_to_cart') && function_exists('WC')){
					    			$args = array( 'post_type' => 'product', /*'stock' => 1,*/ 'posts_per_page' => 9, 'orderby' =>'date','order' => 'DESC' );
					    			$meta_query   = WC()->query->get_meta_query();
					    			$tax_query   = WC()->query->get_tax_query();
					    			$tax_query[] = array(
					    				'taxonomy' => 'product_visibility',
					    				'field'    => 'name',
					    				'terms'    => 'featured',
					    				'operator' => 'IN',
					    			);
					    			$args = array(
					    				'post_type'   =>  'product',
					    				'stock'       =>  1,
					    				'posts_per_page' => -1, 
					    				'orderby'     =>  'date',
					    				'order'       =>  'DESC',
					    				'meta_query'  =>  $meta_query,
					    				'tax_query'   => $tax_query,
					    			);
					    			$loop = new WP_Query( $args );
					    			if($loop->post_count > 0){
					    				while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
					    				<div class="col-md-3 slide-item featured-product"> 
					    					<div id="recent-porduct">
					    						<div class="pro-img text-center">
					    							<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
					    								<?php if (has_post_thumbnail( $loop->post->ID )) 
					    								echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog');
					    								else
					    									echo '<img src="'.get_template_directory_uri().'/images/default.png" alt="Placeholder" width="100%" height="200px" />'; ?>	
					    							</a>
					    						</div>
					    						<div class="total-product-title-wrap">
					    							<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">	
														<h6><?php // the_title(); 
														if(strlen($loop->post->post_title) > 9){
															$title = substr($loop->post->post_title, 0, 10).'...';
														}else{
															$title = $loop->post->post_title;
														}
														echo $title;
														?></h6>
													</a>
													<span class="price"><?php echo $product->get_price_html(); ?></span>
													<div class="clearfix"></div>
													<div class="add-to-cart">
														<?php
														// woocommerce_template_loop_add_to_cart( $loop->single-product, $product );
														woocommerce_template_loop_add_to_cart();
														?>
													</div>
												</div>
											</div>
										</div><!-- /span3 -->
										<?php
									endwhile; 
								}else{ ?>
								<div class="alert alert-warning text-center">
									<strong>Sorry, no featured product to show.</strong>
								</div>
								<?php
							}
							?>
							<!-- </div>-->
							<!-- </div>-->
							<?php
							wp_reset_query(); 
						}else{ ?>
						<div class="alert alert-warning text-center">
							Kindly Install or Activate the WooCommerce plugin.
						</div>
						<?php
					}?>
				</div>
			</div><!-- /row-fluid -->

			</div>
			</div>
			</div>
			<div class="clearfix"></div>
</section>
<?php }